server:
  port: 8080
  servlet:
    context-path: /api/admin
spring:
  servlet:
    multipart:
      enabled: true
      max-file-size: 10MB
      max-request-size: 30MB
  aop:
    proxy-target-class: true
    auto: true
  jpa:
    database: mysql
    hibernate:
      ddl-auto: update
    show-sql: true
    open-in-view: true
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    properties:
      generate_statistics: true
      jdbc:
        #每批500条提交
        batch_size: 500
        batch_versioned_data: true
      order_inserts: true
      order_updates: true
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  redis:
    port: 6379
    database: 0
#    host: 127.0.0.1
#    password: Hdu505...
    jedis:
      pool:
        max-active: 8
        max-wait: -1ms
        max-idle: 8
        min-idle: 0
    timeout: 5000ms
  data:
    redis:
      repositories:
        enabled: false
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://159.138.147.147:3306/maintenance?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
    username: root
    password: hzq123456

upload:
  host: "http://159.138.147.147:8888/uploads"
  location: "/maintenance/uploads"
  extensions: "pdf,doc,docx,xlsx,JPG,jpg,bmp,BMP,gif,GIF,BMP,png,PNG,bmp,jpeg,JPEG,svg,txt"



  # 服务器密码：